set(INPUT
    ${CMAKE_SOURCE_DIR}/firmware
    ${CMAKE_SOURCE_DIR}/libs
    ${CMAKE_SOURCE_DIR}/README.md
    )

set(DOXYGEN_FILE_PATTERNS
    *.h
    *.cpp
    )

set(DOXYGEN_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/docs")
set(DOXYGEN_USE_MDFILE_AS_MAINPAGE ${CMAKE_SOURCE_DIR}/README.md)
set(DOXYGEN_PROJECT_NAME "EPS Firmware")

doxygen_add_docs(docs ${INPUT} WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
